<%--XamlButton.ascx--%>
<%@ Control Language="C#" 
            AutoEventWireup="true" 
            CodeFile="XamlButton.ascx.cs" 
            Inherits="XamlButton" %>
<Canvas x:Name="<%= Name %>"
        Canvas.Left="<%= Left %>" 
        Canvas.Top="<%= Top %>"
        Loaded="<%= LoadedFunctionName %>">   
  <Rectangle Height="<%= Height %>" Width="<%= Width %>"
             Stroke="LightGray" StrokeThickness="2"
             RadiusX="25" RadiusY="25" >
    <Rectangle.Fill>
      <LinearGradientBrush>
        <GradientStop x:Name="<%= Name %>_gradientStop1"
                      Color="#EEEEEE" Offset="0"/>
        <GradientStop x:Name="<%= Name %>_gradientStop2"
                      Color="#444444" Offset="1"/>
      </LinearGradientBrush>
    </Rectangle.Fill>
  </Rectangle>
  <TextBlock Canvas.Top="4" Canvas.Left="13"
             FontSize="<%= FontSize %>" Foreground="#BBBBBB"
             Text="<%= Text %>"/>
  <TextBlock Canvas.Top="3" Canvas.Left="13"
             FontSize="<%= FontSize %>" Foreground="#444444"
             Text="<%= Text %>"/>
</Canvas>
